### Method

# Vte Terminal get_text_range

deprecated: 0.76

#### Declaration [src]

    char*
    vte_terminal_get_text_range (
      VteTerminal* terminal,
      glong start_row,
      glong start_col,
      glong end_row,
      glong end_col,
      VteSelectionFunc is_selected,
      gpointer user_data,
      GArray* attributes
    )

#### Description [src]

Extracts a view of the visible part of the terminal. The entire scrollback buffer is scanned, so it is possible to read the entire contents of the buffer using this function.

This method is unaware of BiDi. The columns passed in `start_col` and `end_row`, and returned in `attributes` are logical columns.

Since 0.68, passing a non-`NULL` `array` parameter is deprecated. Since 0.72, passing a non-`NULL` `array` parameter will make this function itself return `NULL`. Since 0.72, passing a non-`NULL` `is_selected` function will make this function itself return `NULL`.

Deprecated since: 0.76

Use `vte_terminal_get_text_range_format()` instead.

#### Parameters

`start_row`

  Type: `glong`

  First row to search for data.

`start_col`

  Type: `glong`

  First column to search for data.

`end_row`

  Type: `glong`

  Last row to search for data.

`end_col`

  Type: `glong`

  Last column to search for data.

`is_selected`

  Type: `VteSelectionFunc`

  A `VteSelectionFunc` callback. Deprecated: 0.44: Always pass `NULL` here.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  User data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`attributes`

  Type: An array of `None`

  Location for storing text attributes. Deprecated: 0.68: Always pass `NULL` here.

  The argument will be set by the function.
  The argument can be set to `NULL` by the method.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `char*`

A newly allocated text string, or `NULL`.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.